title: Site
pages:
  templates:
    - projects
files: true
fields:
  headline1:
    label: Main information
    type: headline
  title:
    label: Title
    type: text
  author:
    label: Author
    type:  text
  description:
    label: Description
    type: textarea
  headline2:
    label: Menu
    type: headline
  menu:
    type: snippetfield
    label: Links
    snippet: snippetfield/externalinternallink
    limit: 3
    fields:
      type:
        label: Link type
        type: fieldtoggle
        options:
          page: Page
          link: External link
        show:
          page: pageselect
          link: linkurl linktext
        hide:
          page: linkurl
          link: pageselect
      pageselect:
        label: Page
        type: select
        default: ''
        options: query
        width: 1/2
        query:
          fetch: pages
          value: '{{uri}}'
          text: '{{title}}'
      linkurl:
        label: URL
        type: url
        default: ''
        width: 1/2
      linktext:
        label: Title
        type: text
        default: ''
        width: 1/2
  headline3:
    label: Meta
    type: headline
  keywords:
    label: Keywords
    type:  tags
  fbcover:
    label: Facebook Cover image
    type: image
    help: >
      Minimum image size is 1200 x 630 px
  twtcover:
    label: Twitter Cover image
    type: image
    help: >
      Minimum size is 750 x 560 px
  copyright:
    label: Copyright
    type: textarea
